Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | List of all members
ezpAutoloadOutput Interface Reference
Inheritance diagram for ezpAutoloadOutput:

## Public Member Functions
| outputCli ( $message, $type)
| initPhase1 ()
| progressUpdatePhase1 ()
| finishPhase1 ()
| initPhase2 ()
| progressUpdatePhase2 ()
| finishPhase2 ()
| getData ( $phase)
| updateData ( $phase, $data)
| updateProgress ( $phase)

## Detailed Description

Definition at line 17 of file ezpautoloadoutput.php.

## Member Function Documentation

## ◆ finishPhase1()

ezpAutoloadOutput::finishPhase1 | ( |  | ) |

Closes down progress update for phase 1

Returns
  void

Implemented in ezpAutoloadCliOutput.

## ◆ finishPhase2()

ezpAutoloadOutput::finishPhase2 | ( |  | ) |

Finishes progress output for class search phase.

Returns
  void

Implemented in ezpAutoloadCliOutput.

## ◆ getData()

ezpAutoloadOutput::getData | ( |  | $phase | ) |

Returns data array used to keep statistical information for each $phase.

Parameters

  int | $phase |

See also
  eZAutoloadGenerator::OUTPUT_PROGRESS_PHASE1
  eZAutoloadGenerator::OUTPUT_PROGRESS_PHASE2

Returns
  array

Implemented in ezpAutoloadCliOutput.

## ◆ initPhase1()

ezpAutoloadOutput::initPhase1 | ( |  | ) |

Sets up the class for handling progress information for file searching phase.

Returns
  void

Implemented in ezpAutoloadCliOutput.

## ◆ initPhase2()

ezpAutoloadOutput::initPhase2 | ( |  | ) |

Sets up the class for displaying progress information for class search phase.

Returns
  void

Implemented in ezpAutoloadCliOutput.

## ◆ outputCli()

ezpAutoloadOutput::outputCli | ( |  | $message,
|  |  | $type
| ) |  |

Outputs a $message on the CLI, and formats it according to type. Currently $type of "normal" and "warning" is supported.

Parameters

  string | $message |
  string | $type |

Returns
  void

Implemented in ezpAutoloadCliOutput.

## ◆ progressUpdatePhase1()

ezpAutoloadOutput::progressUpdatePhase1 | ( |  | ) |

Pushes an progress update for file searching phase.

Returns
  void

Implemented in ezpAutoloadCliOutput.

## ◆ progressUpdatePhase2()

ezpAutoloadOutput::progressUpdatePhase2 | ( |  | ) |

Pushes a progress update for class search phase.

Returns
  void

Implemented in ezpAutoloadCliOutput.

## ◆ updateData()

ezpAutoloadOutput::updateData | ( |  | $phase,
|  |  | $data
| ) |  |

Updates the internal data array for each $phase

Parameters

  int | $phase |
  array | $data |

Returns
  void

Implemented in ezpAutoloadCliOutput.

## ◆ updateProgress()

ezpAutoloadOutput::updateProgress | ( |  | $phase | ) |

Calls the correct phase progress update method depending on $phase

Parameters

  int | $phase |

Returns
  void

Implemented in ezpAutoloadCliOutput.

The documentation for this interface was generated from the following file:

- ezpautoloadoutput.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.